Bug 1135452 - Bluetooth networking (BNEP, NAP, GN, PANU) is not working. Missing pand command.
Summary: Bluetooth networking (BNEP, NAP, GN, PANU) is not working. Missing pand command.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 11:04 UTC by zimon
Modified: 2018-11-30 21:47 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:47:57 UTC
Type: Bug


Attachments (Terms of Use)

Description zimon 2014-08-29 11:04:22 UTC
Description of problem:
Bluetooth networking, Fedora PC acting either as NAP or PANU, worked in Fedora 19 (F19). After upgrading to F20, Bluetooth networking has stopped to work. Old (my) local init scripts stopped working. Init scripts, which configured a Fedora PC to act as a NAP (server), tethering Bluetooth and routing traffic from Bluetooth network users (PANU) to the Internet. 

http://bluez.sourceforge.net/contrib/HOWTO-PAN

Version-Release number of selected component (if applicable):
bluez-5.18

How reproducible:
(Try any of the below commands:)
# yum provides "*/pand"
# pand -l
# ifconfig bnep0 10.240.6.1 up


Actual results:
"# yum provides "*/pand"
No matches found
"

"# ifconfig bnep0 10.240.6.1 up
SIOCSIFADDR: No such device
bnep0: ERROR while getting interface flags: No such device
bnep0: ERROR while getting interface flags: No such device
"

Expected results:
To find pand command in some rpm-package.

Get Bluetooth networking up. Get bnep0 network interface up. Configure Fedora PC as a NAP, tethering Internet through Bluetooth to PANU devices (Android devices).


Additional info:
Neither seems to work other way around, if in Android device (NAP) Internet is shared through Bluetooth tethering and then tried in Fedora PC (PANU) in Network manager to create a network to this Bluetooth device.

There used to be bluez-compat package in F19, which provided /usr/bin/pand which is needed.
http://www.rpmfind.net/linux/RPM/fedora/19/x86_64/b/bluez-compat-4.101-6.fc19.x86_64.html

This surely has something to do with Fedora 20 upgraded to Bluez 5.x from Bluez 4.x which was used in Fedora 19 - a regression bug.

Comment 1 zimon 2015-03-05 16:54:10 UTC
Neither in Fedora 21

# uname -r
3.18.8-201.fc21.x86_64

# rpm -q bluez
bluez-5.23-1.fc21.x86_64

# dnf provides \*/pand
Using metadata from Wed Mar  4 04:20:06 2015
Error: No Matches found

Comment 2 Fedora End Of Life 2015-11-04 12:41:16 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 03:36:16 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 zimon 2015-12-02 17:00:38 UTC
Still the problem with Fedora 23 also. 
Bluetooth networking would be nice to have.

# dnf provides "*/pand"
Error: No Matches found

# rpm -q bluez
bluez-5.36-1.fc23.x86_64

It shows "Assigned"?

Comment 5 Hedayat Vatankhah 2016-01-03 06:50:32 UTC
It seems that pand is not needed for bluez5, and networking can be setup with dbus calls to bluetoothd:
http://blog.fraggod.net/2015/03/28/bluetooth-pan-network-setup-with-bluez-5x.html

Comment 6 zimon 2016-01-03 18:40:25 UTC
ok. 
Made the scrips mentioned in the above link and got Bluetooth NAP network access point working in F23 host.

# systemctl start net-bnep.service

Seems to work in Fedora 23. A Fedora 23 PC's Bluetooth had now Network-profile and I was able to connect to it from an Android phone.

Fedora 23 tries to change network interface name though, but can't when connection is already made:

Jan 03 20:18:07 f23host systemd-udevd[5660]: Error changing net interface name 'bnep0' to 'enp0s26u1u5u4u1': Device or resource busy
Jan 03 20:18:07 f23host systemd-udevd[5660]: could not rename interface '9' from 'bnep0' to 'enp0s26u1u5u4u1': Device or resource busy

Additionally to those instructions in the above link, I have dnsmasq, and in: 

cat >>/etc/dnsmasq.d/bnep-ap.conf <<_BNEPCONFEND

domain-needed
interface=bnep
dhcp-range=10.1.2.4,10.1.2.254,255.255.255.0,24h
dhcp-host=f23host-bnep-ap,infinite

_BNEPCONFEND

# systemctl restart dnsmasq.service

An Android phone can connect to F23 bluetooth bridge and gets IPv4-address 10.1.2.XX and is able to use Internet through F23 now. When checked in Android phone one "What is my IP" site, it correctly shows F23 PC's IP-address.

Also, "OS Monitor" (open source) app (found in F-Droid repository for Android) shows in the MISC-tab the correct bt-pan information and the IP-address which F23 bnep-nap gave.

Also, in F23 gnome-control-center in Network section, there is "Bridge (bnep)", which can be enabled or disabled.

Would be nice to have this to official Fedora distribution. It is not trivial to make F23 host as WLAN-AP, because some WLAN hardware doesn't support master mode and yet, Fedora 23 still (after all these years) do not support WLAN WPA2 encryption in Access Point mode, only WPA1.

Comment 7 Fedora End Of Life 2016-11-24 11:12:58 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:53:09 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Hedayat Vatankhah 2016-12-29 20:08:38 UTC
Has anything changed with regard to this bug?! Doesn't seems to.

Comment 10 Peter Robinson 2017-05-16 14:09:23 UTC
Have you tried with NetworkManager-bluetooth?

Comment 11 Matthew Woehlke 2017-05-18 17:50:48 UTC
I am also unable to figure out how to share my (Fedora 25) PC's internet connection with my Android device :'-(. I really would like to, because the WiFi disconnects all the time.

I've tried creating a bluetooth connection in NM with "share to other computers", but it never connects, and my tablet never gives me an option to use internet from the connected PC.

Comment 12 Jan Kurik 2018-05-31 09:03:37 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 13 Ben Cotton 2018-11-27 15:23:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:47:57 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.